(* ===============================================================

   Familia de ecuaciones Korteweg de Vries 

     KdV : u_t + u_xxx + u u_x == 0

    mKdV : u_t + u_xxx + u^2 u_x == 0

    cKdV : u_t + u_xxx + u u_x + u/(2t) == 0

    lKdV : u_t + u_xxx - 6 u^2 u_x + 6 l u_x == 0

  =============================================================== *) 


KdV = {D[u[x,t], t] + D[u[x,t], {x,3}] + u[x,t] D[u[x,t],x] == 0};


mKdV = {D[u[x,t], t] + D[u[x,t], {x,3}] + u[x,t]^2 D[u[x,t],x] == 0};


cKdV = {D[u[x,t], t] + D[u[x,t], {x,3}] + u[x,t] D[u[x,t],x] + u[x,t]/(2t) == 0};


lKdV = {D[u[x,t], t] + D[u[x,t], {x,3}] -6 u[x,t]^2 D[u[x,t],x] + 6 l D[u[x,t],x] == 0};


VDs = {u};
VIs = {x, t};

VPs = {D[u[x,t],t]};


LXi = {};
LPhi = {};


Print["KdV, mKdV, cKdV, lKdV, VDs, VIs, VPs, LXi, LPhi"]