(* ===============================================================

   MHD real, no estacionaria 

  =============================================================== *) 


Div[f_]:= Inner[D, f, {x,y,z}]


Grad[f_]:=First[Outer[D, {f}, {x,y,z}]]


Laplaciano[f_]:=Div[Grad[f]];


Curl[f_]:= Inner[D, RotateRight[f], RotateRight[{x,y,z},2], List]-
           Inner[D, RotateLeft[f], RotateLeft[{x,y,z},2],List]


PV[v_, w_]:=Reverse[First[Minors[{v,w},2]]]*{1,-1,1}


SetAttributes[Laplaciano, Listable];
SetAttributes[Grad, Listable];

VDs = {v1, v2, v3, h1, h2, h3, rho, p}

VIs = {x, y, z, t};


V = {v1[x,y,z,t], v2[x,y,z,t], v3[x,y,z,t]}

r = rho[x,y,z,t]

H = {h1[x,y,z,t], h2[x,y,z,t], h3[x,y,z,t]}

P = p[x,y,z,t]



eq[1] = D[r, t] + Div[r V];

{eq[2], eq[3], eq[4]} =
  r(D[V, t] + Grad[V].V) + Grad[P] - Rh PV[Curl[H], H] - chi Laplaciano[V] - 
  (zeta + chi/3) Grad[Div[V]]
 
{eq[5], eq[6], eq[7]} = 
   D[H, t] - Curl[PV[V, H]] - 1/Rs Curl[vh Curl[H]]

eq[8] = Div[H]

eq[9] = D[P, t] + V.Grad[P] + gamma P Div[V] - (gamma-1)(Rh/Rs vh Curl[H].Curl[H]) - 
        (gamma-1)Sum[sigma[i][k] D[V[[i]], VIs[[k]]], {i,1,3}, {k,1,3}] +
        (gamma-1)Div[kappa Grad[P/r]]


Mhd = Table[eq[i]==0, {i,1,9}];


VPs = {D[r, t], 
       D[P, x], D[P,y], D[P, z], 
       D[H[[1]], t], D[H[[2]], t], D[H[[3]], t], 
       D[H[[3]], z],
       D[P,t]}


LXi = {}
LPhi = {}


Print["Mhd, VDs, VIs, VPs, LXi, LPhi"]

