(* ===============================================================

   Maxwell-Bloch  

  =============================================================== *) 


Needs["Algebra`ReIm`"]

Im[x]^=0;
Im[y]^=0;
Im[t]^=0;


RealValued[f, g, p, q, r];
Im[Derivative[___][f][___]]^=0
Im[Derivative[___][g][___]]^=0
Im[Derivative[___][p][___]]^=0
Im[Derivative[___][q][___]]^=0
Im[Derivative[___][r][___]]^=0

VDs = {f, g, p, q, r}

VIs = {x, y, t};


Im[alpha]^= 0
Im[delta]^= 0
Im[rho]^= 0
Im[sigma]^= 0
Im[gamma]^= 0


RealValued[f, g, p, q, r];


F[x,y,t] = f[x,y,t] + I g[x,y,t];
P[x,y,t] = p[x,y,t] + I q[x,y,t];


MaxwellBloch = 
   {D[F[x,y,t], t] - I/(4 alpha) (D[F[x,y,t],{x,2}] + D[F[x,y,t],{y,2}]) + sigma (F[x,y,t] - P[x,y,t]),
    D[P[x,y,t], t] + (1 + I delta) P[x,y,t] - F[x,y,t] r[x,y,t],
    D[r[x,y,t], t] + gamma*(r[x,y,t] - rho + 1/2 (Conjugate[F[x,y,t]] P[x,y,t] + F[x,y,t] Conjugate[P[x,y,t]]))};


MaxwellBloch = {Re[Expand[MaxwellBloch[[1]]]]==0, 
                Im[Expand[MaxwellBloch[[1]]]]==0, 
                Re[Expand[MaxwellBloch[[2]]]]==0, 
                Im[Expand[MaxwellBloch[[2]]]]==0, 
                Re[Expand[MaxwellBloch[[3]]]]==0} 

          

VPs = {D[f[x,y,t], t],
       D[g[x,y,t], t],
       D[p[x,y,t], t],
       D[q[x,y,t], t],
       D[r[x,y,t], t]};



LXi = {}
LPhi = {}


Print["MaxwellBloch, VDs, VIs, LXi, LPhi"]