(************** Content-type: application/mathematica **************

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     14670,        622]*)
(*NotebookOutlinePosition[     15381,        646]*)
(*  CellTagsIndexPosition[     15337,        642]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["YaLie Package", "Section"],

Cell[BoxData[
    \(Quit[]\)], "Input",
  CellLabel->"In[19]:="],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\( (*\ 
      YaLie\ folder\ \
*) \)\(\[IndentingNewLine]\)\(SetDirectory["\<G:\Investigaci\[OAcute]n\Lie\S\
oftware\JM\YaLie\>"]\)\)\)], "Input",
  CellLabel->"In[1]:="],

Cell[BoxData[
    \("G:\\Investigaci\[OAcute]n\\Lie\\Software\\JM\\YaLie"\)], "Output",
  CellLabel->"Out[1]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\( (*\ 
      YaLie\ package\ \
*) \)\(\[IndentingNewLine]\)\(Get["\<YaLie.m\>"]\)\)\)], "Input",
  CellLabel->"In[2]:="],

Cell[BoxData[
    \("                                                     "\)], "Print",
  CellLabel->"From In[2]:="],

Cell[BoxData[
    \("====================================================="\)], "Print",
  CellLabel->"From In[2]:="],

Cell[BoxData[
    \("                                                     "\)], "Print",
  CellLabel->"From In[2]:="],

Cell[BoxData[
    \("                      YaLie                          "\)], "Print",
  CellLabel->"From In[2]:="],

Cell[BoxData[
    \("                 Version 2.0 (2000)                  "\)], "Print",
  CellLabel->"From In[2]:="],

Cell[BoxData[
    \("                    @ JM D\[IAcute]az                        "\)], \
"Print",
  CellLabel->"From In[2]:="],

Cell[BoxData[
    \("             Departamento de Matem\[AAcute]ticas             "\)], \
"Print",
  CellLabel->"From In[2]:="],

Cell[BoxData[
    \("                Universidad de C\[AAcute]diz                 "\)], \
"Print",
  CellLabel->"From In[2]:="],

Cell[BoxData[
    \("                                                     "\)], "Print",
  CellLabel->"From In[2]:="],

Cell[BoxData[
    \("====================================================="\)], "Print",
  CellLabel->"From In[2]:="],

Cell[BoxData[
    \("                                                     "\)], "Print",
  CellLabel->"From In[2]:="]
}, Open  ]],

Cell[CellGroupData[{

Cell["Korteweg de Vries", "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Get["\<Ecuaciones\KdV.m\>"]\)], "Input",
  CellLabel->"In[3]:="],

Cell[BoxData[
    \("KdV, mKdV, cKdV, lKdV, VDs, VIs, VPs, LXi, LPhi"\)], "Print",
  CellLabel->"From In[3]:="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Timing[Length[YaLie[KdV, \ VDs, \ VIs, \ VPs]]]\)], "Input",
  CellLabel->"In[5]:="],

Cell[BoxData[
    \({0.06000000000000005`\ Second, 8}\)], "Output",
  CellLabel->"Out[5]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Timing[Length[YaLie[mKdV, \ VDs, \ VIs, \ VPs]]]\)], "Input",
  CellLabel->"In[6]:="],

Cell[BoxData[
    \({0.10999999999999988`\ Second, 8}\)], "Output",
  CellLabel->"Out[6]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Timing[Length[YaLie[cKdV, \ VDs, \ VIs, \ VPs]]]\)], "Input",
  CellLabel->"In[7]:="],

Cell[BoxData[
    \({0.05999999999999983`\ Second, 8}\)], "Output",
  CellLabel->"Out[7]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Timing[Length[YaLie[lKdV, \ VDs, \ VIs, \ VPs]]]\)], "Input",
  CellLabel->"In[8]:="],

Cell[BoxData[
    \({0.10999999999999988`\ Second, 8}\)], "Output",
  CellLabel->"Out[8]="]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Schr\[ODoubleDot]dinger", "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Get["\<Ecuaciones\Schr\[ODoubleDot]dinger.m\>"]\)], "Input",
  CellLabel->"In[9]:="],

Cell[BoxData[
    \("Schr\[ODoubleDot]dinger, VDs, VIs, VPs, LXi, LPhi"\)], "Print",
  CellLabel->"From In[9]:="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Timing[
      Length[YaLie[Schr\[ODoubleDot]dinger, \ VDs, \ VIs, \ VPs]]]\)], "Input",\

  CellLabel->"In[10]:="],

Cell[BoxData[
    \({0.17000000000000015`\ Second, 21}\)], "Output",
  CellLabel->"Out[10]="]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Kadomtsev-Petviashvili", "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Get["\<Ecuaciones\KP.m\>"]\)], "Input",
  CellLabel->"In[11]:="],

Cell[BoxData[
    \("KP, VDs, VIs, VPs, LXi, LPhi"\)], "Print",
  CellLabel->"From In[11]:="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Timing[Length[YaLie[KP, \ VDs, \ VIs, \ VPs]]]\)], "Input",
  CellLabel->"In[12]:="],

Cell[BoxData[
    \({0.21999999999999997`\ Second, 16}\)], "Output",
  CellLabel->"Out[12]="]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Madelung", "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Get["\<Ecuaciones\Madelung.m\>"]\)], "Input",
  CellLabel->"In[13]:="],

Cell[BoxData[
    \("Madelung, VDs, VIs, VPs, LXi, LPhi"\)], "Print",
  CellLabel->"From In[13]:="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Timing[Length[YaLie[Madelung, \ VDs, \ VIs, \ VPs]]]\)], "Input",
  CellLabel->"In[14]:="],

Cell[BoxData[
    \({1.1500000000000001`\ Second, 85}\)], "Output",
  CellLabel->"Out[14]="]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Maxwell-Bloch", "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Get["\<Ecuaciones\Maxwell-Bloch.m\>"]\)], "Input",
  CellLabel->"In[15]:="],

Cell[BoxData[
    \("MaxwellBloch, VDs, VIs, LXi, LPhi"\)], "Print",
  CellLabel->"From In[15]:="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Timing[Length[YaLie[MaxwellBloch, \ VDs, \ VIs, \ VPs]]]\)], "Input",
  CellLabel->"In[16]:="],

Cell[BoxData[
    \({2.9699999999999998`\ Second, 58}\)], "Output",
  CellLabel->"Out[16]="]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["MHD", "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Get["\<Ecuaciones\Mhd.m\>"]\)], "Input",
  CellLabel->"In[17]:="],

Cell[BoxData[
    \("Mhd, VDs, VIs, VPs, LXi, LPhi"\)], "Print",
  CellLabel->"From In[17]:="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Timing[Length[YaLie[Mhd, \ VDs, \ VIs, \ VPs]]]\)], "Input",
  CellLabel->"In[18]:="],

Cell[BoxData[
    \({1580.75`\ Second, 517}\)], "Output",
  CellLabel->"Out[18]="]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Baumann Lie Package", "Section"],

Cell[BoxData[
    \(Quit[]\)], "Input",
  CellLabel->"In[12]:="],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\( (*\ 
      Baumann\ Lie\ folder\ \
*) \)\(\[IndentingNewLine]\)\(SetDirectory["\<F:\Investigaci\[OAcute]n\Lie\S\
oftware\Baumann\>"]\)\)\)], "Input",
  CellLabel->"In[1]:="],

Cell[BoxData[
    \("F:\\Investigaci\[OAcute]n\\Lie\\Software\\Baumann"\)], "Output",
  CellLabel->"Out[1]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\( (*\ 
      Baumann\ Lie\ package\ *) \)\(\[IndentingNewLine]\)\(Get["\<Lie.m\>"]\)\
\)\)], "Input",
  CellLabel->"In[2]:="],

Cell[BoxData[
    \("       + -------------------------------------------------------- \
+"\)], "Print",
  CellLabel->"From In[2]:="],

Cell[BoxData[
    \("       |           Version 2.0 of Lie for Mathematica 2.0         \
|"\)], "Print",
  CellLabel->"From In[2]:="],

Cell[BoxData[
    \("       |                   Copyright 1992 G. Baumann              \
|"\)], "Print",
  CellLabel->"From In[2]:="],

Cell[BoxData[
    \("       |                                                          \
|"\)], "Print",
  CellLabel->"From In[2]:="],

Cell[BoxData[
    \("       | -------------------------------------------------------- \
|"\)], "Print",
  CellLabel->"From In[2]:="],

Cell[BoxData[
    \("       | *** The functions defined in the package LieSymmetry are \
|"\)], "Print",
  CellLabel->"From In[2]:="],

Cell[BoxData[
    \("       | -------------------------------------------------------- \
|"\)], "Print",
  CellLabel->"From In[2]:="],

Cell[BoxData[
    \("       |                                                          \
|"\)], "Print",
  CellLabel->"From In[2]:="],

Cell[BoxData[
    \("       | Lie            : calculates the determining equations    \
|"\)], "Print",
  CellLabel->"From In[2]:="],

Cell[BoxData[
    \("       | ProlongationF  : determines the k-th prolongation        \
|"\)], "Print",
  CellLabel->"From In[2]:="],

Cell[BoxData[
    \("       | CloseLog       : close the log file                      \
|"\)], "Print",
  CellLabel->"From In[2]:="],

Cell[BoxData[
    \("       | OpenLog        : open the log file                       \
|"\)], "Print",
  CellLabel->"From In[2]:="],

Cell[BoxData[
    \("       |                                                          \
|"\)], "Print",
  CellLabel->"From In[2]:="],

Cell[BoxData[
    \("       | -------------------------------------------------------- \
|"\)], "Print",
  CellLabel->"From In[2]:="],

Cell[BoxData[
    \("       |                                                          \
|"\)], "Print",
  CellLabel->"From In[2]:="],

Cell[BoxData[
    \("       | To get more information type ?name                       \
|"\)], "Print",
  CellLabel->"From In[2]:="],

Cell[BoxData[
    \("       |                                                          \
|"\)], "Print",
  CellLabel->"From In[2]:="],

Cell[BoxData[
    \("       + -------------------------------------------------------- \
+"\)], "Print",
  CellLabel->"From In[2]:="],

Cell[BoxData[
    \(" "\)], "Print",
  CellLabel->"From In[2]:="],

Cell[BoxData[
    \("     Program loaded. Use  Lie[filename,Options]  to run the \
program."\)], "Print",
  CellLabel->"From In[2]:="]
}, Open  ]],

Cell[BoxData[{
    \( (*\ technical\ hitch\ *) \[IndentingNewLine]Unprotect[Coefficient]; \ 
    Coefficient[expr_, \ 1] := expr; \ 
    Protect[Coefficient];\), "\[IndentingNewLine]", 
    \(Unprotect[Print]; \ Print[expr___] := Null; \ 
    Protect[Print];\)}], "Input",
  CellLabel->"In[3]:="],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\( (*\ 
      Equations\ folder\ \
*) \)\(\[IndentingNewLine]\)\(SetDirectory["\<F:\Investigaci\[OAcute]n\Lie\S\
oftware\JM\YaLie\Ecuaciones\>"]\)\)\)], "Input",
  CellLabel->"In[6]:="],

Cell[BoxData[
    \("F:\\Investigaci\[OAcute]n\\Lie\\Software\\JM\\YaLie\\Ecuaciones"\)], \
"Output",
  CellLabel->"Out[6]="]
}, Open  ]],

Cell[BoxData[
    \(\(\( (*\ New\ *) \)\(\[IndentingNewLine]\)\(DeleteFile[
      Join[FileNames["\<*.deq\>"], \ FileNames["\<*.lie\>"]]]\)\)\)], "Input",\

  CellLabel->"In[11]:="],

Cell[CellGroupData[{

Cell["Korteweg de Vries", "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Timing[Lie["\<KdV.txt\>"]; Length[FinalResult[\([4]\)]]]\)], "Input",
  CellLabel->"In[12]:="],

Cell[BoxData[
    \({0.8199999999999363`\ Second, 8}\)], "Output",
  CellLabel->"Out[12]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Timing[Lie["\<mKdV.txt\>"]; Length[FinalResult[\([4]\)]]]\)], "Input",
  CellLabel->"In[8]:="],

Cell[BoxData[
    \({0.22000000000000003`\ Second, 8}\)], "Output",
  CellLabel->"Out[8]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Timing[Lie["\<cKdV.txt\>"]; Length[FinalResult[\([4]\)]]]\)], "Input",
  CellLabel->"In[9]:="],

Cell[BoxData[
    \({0.39`\ Second, 8}\)], "Output",
  CellLabel->"Out[9]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Timing[Lie["\<lKdV.txt\>"]; Length[FinalResult[\([4]\)]]]\)], "Input",
  CellLabel->"In[10]:="],

Cell[BoxData[
    \({0.27`\ Second, 8}\)], "Output",
  CellLabel->"Out[10]="]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Schr\[ODoubleDot]dinger", "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Timing[Lie["\<Schr\[ODoubleDot]dinger.txt\>"]; 
      Length[FinalResult[\([4]\)]]]\)], "Input",
  CellLabel->"In[11]:="],

Cell[BoxData[
    \({0.7200000000000002`\ Second, 20}\)], "Output",
  CellLabel->"Out[11]="]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Kadomtsev-Petviashvili", "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Timing[Lie["\<KP.txt\>"]; Length[FinalResult[\([4]\)]]]\)], "Input",
  CellLabel->"In[12]:="],

Cell[BoxData[
    \({1.0999999999999996`\ Second, 16}\)], "Output",
  CellLabel->"Out[12]="]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Madelung", "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Timing[Lie["\<Madelung.txt\>"]; 
      Length[FinalResult[\([4]\)]]]\)], "Input",
  CellLabel->"In[13]:="],

Cell[BoxData[
    \({15.270000000000001`\ Second, 85}\)], "Output",
  CellLabel->"Out[13]="]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Maxwell-Bloch", "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Timing[Lie["\<Maxwell-Bloch.txt\>"]; 
      Length[FinalResult[\([4]\)]]]\)], "Input",
  CellLabel->"In[8]:="],

Cell[BoxData[
    \({795.8699999999999`\ Second, 58}\)], "Output",
  CellLabel->"Out[8]="]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["MHD", "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Timing[Lie["\<Mhd.txt\>"]; Length[FinalResult[\([4]\)]]]\)], "Input",
  CellLabel->"In[13]:="],

Cell["\<\

No more memory available.
Mathematica kernel has shut down.
Try quitting other applications and then retry.\
\>", "Print",
  CellLabel->"From In[13]:="]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
FrontEndVersion->"4.1 for Microsoft Windows",
ScreenRectangle->{{0, 1024}, {0, 695}},
WindowToolbars->"EditBar",
WindowSize->{1016, 638},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
StyleDefinitions -> "ArticleModern.nb"
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1727, 52, 32, 0, 63, "Section"],
Cell[1762, 54, 64, 2, 45, "Input"],

Cell[CellGroupData[{
Cell[1851, 60, 192, 5, 65, "Input"],
Cell[2046, 67, 111, 2, 44, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2194, 74, 143, 4, 65, "Input"],
Cell[2340, 80, 117, 2, 40, "Print"],
Cell[2460, 84, 117, 2, 40, "Print"],
Cell[2580, 88, 117, 2, 40, "Print"],
Cell[2700, 92, 117, 2, 40, "Print"],
Cell[2820, 96, 117, 2, 40, "Print"],
Cell[2940, 100, 127, 3, 40, "Print"],
Cell[3070, 105, 127, 3, 40, "Print"],
Cell[3200, 110, 127, 3, 40, "Print"],
Cell[3330, 115, 117, 2, 40, "Print"],
Cell[3450, 119, 117, 2, 40, "Print"],
Cell[3570, 123, 117, 2, 40, "Print"]
}, Open  ]],

Cell[CellGroupData[{
Cell[3724, 130, 42, 0, 43, "Subsubsection"],

Cell[CellGroupData[{
Cell[3791, 134, 84, 2, 45, "Input"],
Cell[3878, 138, 111, 2, 40, "Print"]
}, Open  ]],

Cell[CellGroupData[{
Cell[4026, 145, 104, 2, 45, "Input"],
Cell[4133, 149, 91, 2, 44, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[4261, 156, 105, 2, 45, "Input"],
Cell[4369, 160, 91, 2, 44, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[4497, 167, 105, 2, 45, "Input"],
Cell[4605, 171, 91, 2, 44, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[4733, 178, 105, 2, 45, "Input"],
Cell[4841, 182, 91, 2, 44, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[4981, 190, 48, 0, 43, "Subsubsection"],

Cell[CellGroupData[{
Cell[5054, 194, 104, 2, 45, "Input"],
Cell[5161, 198, 113, 2, 40, "Print"]
}, Open  ]],

Cell[CellGroupData[{
Cell[5311, 205, 134, 4, 45, "Input"],
Cell[5448, 211, 93, 2, 44, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[5590, 219, 47, 0, 43, "Subsubsection"],

Cell[CellGroupData[{
Cell[5662, 223, 84, 2, 45, "Input"],
Cell[5749, 227, 93, 2, 40, "Print"]
}, Open  ]],

Cell[CellGroupData[{
Cell[5879, 234, 104, 2, 45, "Input"],
Cell[5986, 238, 93, 2, 44, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[6128, 246, 33, 0, 43, "Subsubsection"],

Cell[CellGroupData[{
Cell[6186, 250, 90, 2, 45, "Input"],
Cell[6279, 254, 99, 2, 40, "Print"]
}, Open  ]],

Cell[CellGroupData[{
Cell[6415, 261, 110, 2, 45, "Input"],
Cell[6528, 265, 92, 2, 44, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[6669, 273, 38, 0, 43, "Subsubsection"],

Cell[CellGroupData[{
Cell[6732, 277, 95, 2, 45, "Input"],
Cell[6830, 281, 98, 2, 40, "Print"]
}, Open  ]],

Cell[CellGroupData[{
Cell[6965, 288, 114, 2, 45, "Input"],
Cell[7082, 292, 92, 2, 44, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[7223, 300, 28, 0, 43, "Subsubsection"],

Cell[CellGroupData[{
Cell[7276, 304, 85, 2, 45, "Input"],
Cell[7364, 308, 94, 2, 40, "Print"]
}, Open  ]],

Cell[CellGroupData[{
Cell[7495, 315, 105, 2, 45, "Input"],
Cell[7603, 319, 82, 2, 44, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[7746, 328, 38, 0, 63, "Section"],
Cell[7787, 330, 64, 2, 45, "Input"],

Cell[CellGroupData[{
Cell[7876, 336, 198, 5, 65, "Input"],
Cell[8077, 343, 109, 2, 44, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[8223, 350, 148, 4, 65, "Input"],
Cell[8374, 356, 133, 3, 40, "Print"],
Cell[8510, 361, 133, 3, 40, "Print"],
Cell[8646, 366, 133, 3, 40, "Print"],
Cell[8782, 371, 133, 3, 40, "Print"],
Cell[8918, 376, 133, 3, 40, "Print"],
Cell[9054, 381, 133, 3, 40, "Print"],
Cell[9190, 386, 133, 3, 40, "Print"],
Cell[9326, 391, 133, 3, 40, "Print"],
Cell[9462, 396, 133, 3, 40, "Print"],
Cell[9598, 401, 133, 3, 40, "Print"],
Cell[9734, 406, 133, 3, 40, "Print"],
Cell[9870, 411, 133, 3, 40, "Print"],
Cell[10006, 416, 133, 3, 40, "Print"],
Cell[10142, 421, 133, 3, 40, "Print"],
Cell[10278, 426, 133, 3, 40, "Print"],
Cell[10414, 431, 133, 3, 40, "Print"],
Cell[10550, 436, 133, 3, 40, "Print"],
Cell[10686, 441, 133, 3, 40, "Print"],
Cell[10822, 446, 65, 2, 40, "Print"],
Cell[10890, 450, 134, 3, 40, "Print"]
}, Open  ]],
Cell[11039, 456, 296, 6, 105, "Input"],

Cell[CellGroupData[{
Cell[11360, 466, 207, 5, 65, "Input"],
Cell[11570, 473, 125, 3, 44, "Output"]
}, Open  ]],
Cell[11710, 479, 181, 4, 65, "Input"],

Cell[CellGroupData[{
Cell[11916, 487, 42, 0, 43, "Subsubsection"],

Cell[CellGroupData[{
Cell[11983, 491, 114, 2, 45, "Input"],
Cell[12100, 495, 91, 2, 44, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[12228, 502, 114, 2, 45, "Input"],
Cell[12345, 506, 91, 2, 44, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[12473, 513, 114, 2, 45, "Input"],
Cell[12590, 517, 76, 2, 44, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[12703, 524, 115, 2, 45, "Input"],
Cell[12821, 528, 77, 2, 44, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[12947, 536, 48, 0, 43, "Subsubsection"],

Cell[CellGroupData[{
Cell[13020, 540, 141, 3, 45, "Input"],
Cell[13164, 545, 92, 2, 44, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[13305, 553, 47, 0, 43, "Subsubsection"],

Cell[CellGroupData[{
Cell[13377, 557, 113, 2, 45, "Input"],
Cell[13493, 561, 92, 2, 44, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[13634, 569, 33, 0, 43, "Subsubsection"],

Cell[CellGroupData[{
Cell[13692, 573, 126, 3, 45, "Input"],
Cell[13821, 578, 92, 2, 44, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[13962, 586, 38, 0, 43, "Subsubsection"],

Cell[CellGroupData[{
Cell[14025, 590, 130, 3, 45, "Input"],
Cell[14158, 595, 90, 2, 44, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[14297, 603, 28, 0, 43, "Subsubsection"],

Cell[CellGroupData[{
Cell[14350, 607, 114, 2, 45, "Input"],
Cell[14467, 611, 163, 6, 91, "Print"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

